<?php
/***************************************\
|			PHP OPTIMISATEUR			|
|		  Plugin ConvertPan 1.2			|
\***************************************/

## Crée des images normales plus hautes pour les panoramas (utilisation des paMOOrama par exemple)
## Crée des miniatures rognées pour ne pas avoir de minuscules images

$CP_namepanorama = $CONF['Plugins']['convert_pan']['NAMEpanorama']; 	// Suffixe des panoramas
$CP_detectmode = $CONF['Plugins']['convert_pan']['DetectMode']; 		// Mode de détection
$CP_dimpanorama = $CONF['Plugins']['convert_pan']['DIMpanorama']; 		// Hauteur des panoramas normaux
$CP_ratiopan = $CONF['Plugins']['convert_pan']['RatioPan']; 			// Ratio des panoramas
$CP_ratiopanthumb = $CONF['Plugins']['convert_pan']['RatioPanThumb']; 	// Ratio des miniatures

if (($CP_detectmode == 'name' AND strpos($FileName,$CP_namepanorama) !== false) OR ($CP_detectmode == 'ratio' AND $FileInfos['Width']/$FileInfos['Height'] >= $CP_ratiopan)) {

	if (!isset($BlockNormal) AND $CP_dimpanorama != 0) { 
		exec('include\nconvert.exe -q '.$CONF['Qnormal'].' -out jpeg -o "'.$FileFolder.$FileName.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize 0 '.$CP_dimpanorama.' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
		$BlockNormal['convert_pan'] = true;
	}
	
	if (!isset($BlockThumbnail) AND $CP_ratiopanthumb != 0) { 
		$DIMthumbnailV = $CONF['DIMthumbnail']/$CP_ratiopanthumb;
		
		// on prend la miniature au milieu du panorama
		$tmp_x = $FileInfos['Width'] * $DIMthumbnailV / $FileInfos['Height'];
		$offset_x = ($tmp_x - $CONF['DIMthumbnail']) / 2;
		
		exec('include\nconvert.exe -q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize 0 '.$DIMthumbnailV.' -crop '.$offset_x.' 0 '.$CONF['DIMthumbnail'].' '.$DIMthumbnailV.' -rmeta -rexifthumb "'.$FilesSource[$i].'"');
		$BlockThumbnail['convert_pan'] = true;
	}
}
?>